<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>shortcuts</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <p><strong>Shellscripts</strong></p>
    <ol type="1">
      <li><strong>newbranch $1</strong> &gt;&gt; creates new git branch</li>
      <li>
        <strong>cm $1</strong> &gt;&gt; # add, commit with message, push to repo
        and clr terminal
      </li>
      <li><strong>ghmov $1</strong>&gt;&gt; removes and adds orgin</li>
      <li><strong>dwnDir</strong>* &gt;&gt; opens the file explorer</li>
    </ol>
    <p><strong>Shell Aliases</strong></p>
    <ol type="1">
      <li><strong>aaProbs</strong> &gt;&gt; cd dir to probs</li>
      <li><strong>aaNotes</strong> &gt;&gt; cd into notes</li>
      <li><strong>gsho</strong> &gt;&gt; shows git url</li>
      <li>
        <strong>update</strong>&gt;&gt; adds,commits, and pushes with ‘update’
      </li>
      <li><strong>open $1</strong>&gt;&gt; open file or url in pref app</li>
      <li>
        <strong>gitIgn</strong> &gt;&gt; adds .gitignore and adds node modules
      </li>
      <li><strong>delZone</strong> &gt;&gt; deletes zone identifiers</li>
    </ol>
    <p>
      <strong>VS Code</strong> 1. <strong>Shift + ,</strong> &gt;&gt; focus
      terminal 2. <strong>Control + alt + f</strong> &gt;&gt; format 3.
      <strong>Control + enter</strong> &gt;&gt;&gt; split editor 4.
      <strong>Shift + Q , K</strong> &gt;&gt;&gt; Start quokka on cur 5.
      <strong>Shift + Q , E</strong> &gt;&gt;&gt; stop quokka on cur 6.
      <strong>Ctrl + alt + L</strong> &gt;&gt;&gt; turbo console log
    </p>
    <p>
      <strong>VS Code…</strong> ##Basic Editing Home / End &gt;&gt;&gt; Go to
      beginning/end of line Ctrl+Home &gt;&gt;&gt; Go to beginning of file
    </p>
    <h2 id="cursor-and-selection">Cursor and Selection</h2>
    <p>Alt+Click &gt;&gt;&gt; Insert cursor</p>
    <h2 id="display">Display</h2>
    <p>
      Ctrl+Shift+V &gt;&gt;&gt; Open Markdown preview Ctrl+K , V &gt;&gt;&gt;
      Open Markdown preview to the side
    </p>
    <p>
      #Windows Terminal Alt + direction &gt;&gt; resizes pane Ctrl + direction
      &gt;&gt; changes focus
    </p>
    <h1 id="capture2text">Capture2Text</h1>
    <p>win + q &gt;&gt; perform ocr capture</p>
    <p>To kill specific ports</p>
    <pre class="console"><code>    lsof -i :&lt;port&gt;
    echo &quot;list of PID&quot;
    kill -9 &lt;PID&gt;
</code></pre>
  </body>
</html>
